id: neocase-hrportal-panel

info:
  name: Neocase HR Portal Login Panel - Detect
  author: righettod
  severity: info
  description: |
    Neocase HR Portal login panel was detected.
  reference:
    - https://www.neocasesoftware.com/neocase-hr-solution/
    - https://www.neocasesoftware.com/self-service-portal-module/
  metadata:
    verified: true
    max-request: 1
  tags: panel,neocase,login,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains(to_lower(body), "neocase") && contains(to_lower(body), "hr portal") && contains(to_lower(body), "login")'
        condition: and

    extractors:
      - type: regex
        part: body
        group: 1
        regex:
          - 'name="version"\s+content="([0-9\.]+)"'
# digest: 4a0a004730450221008f8f82638ec11f42be33520ebf8d403344b3591e2bb8e03f5de6bbdea239de0702203ec05ec0dcd5d64b006b76868530ef64bdf27b2067016af4a4351c4f63381247:922c64590222798bb761d5b6d8e72950